Bug 20517 - LVDS output not detected
Summary: LVDS output not detected
Status: RESOLVED NOTOURBUG
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: 7.4 (2008.09)
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: MaLing
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20276
  Show dependency treegraph
 
Reported: 2009-03-06 16:04 UTC by Tefnet
Modified: 2009-03-11 04:41 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xserver log file with a VGA display connected. (117.81 KB, text/x-log)
2009-03-07 01:34 UTC, Tefnet
no flags Details
xserver log file with a VGA display connected and ModeDebug on. (162.14 KB, text/plain)
2009-03-07 01:56 UTC, Tefnet
no flags Details
Video BIOS before update - version 1.0.0 (64.00 KB, application/octet-stream)
2009-03-09 02:26 UTC, Tefnet
no flags Details
Video BIOS after update - version 1.2.0 (64.00 KB, application/octet-stream)
2009-03-09 02:26 UTC, Tefnet
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tefnet 2009-03-06 16:04:15 UTC
There is a problem running xorg server from git on a Toshiba Portege R200.

This machine has two video devices: LVDS internal display and external VGA output.

With 2.6.1 both outputs were detected correctly:

filip@cacko:~$ xrandr
Screen 0: minimum 320 x 200, current 2048 x 1280, maximum 2048 x 1280
VGA connected 1024x1280+768+0 right (normal left inverted right x axis y axis) 0mm x 0mm
   1360x768       59.8  
   1152x864       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
   1280x1024      60.0* 
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0*+   85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
TV disconnected (normal left inverted right x axis y axis)
filip@cacko:~$

But with 2:2.6.99.1+git2009030 (from https://launchpad.net/~xorg-edgers/+archive/ppa/) the LVDS output has disappeared:

filip@cacko:~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 1280, maximum 2048 x 1280
VGA connected 1024x1280+0+0 right (normal left inverted right x axis y axis) 0mm x 0mm
   1360x768       59.8  
   1152x864       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
   1280x1024      60.0* 
TV disconnected (normal left inverted right x axis y axis)
filip@cacko:~$ 


Without a VGA display connected the xserver refuses to run at all, because no connected output devices were found.

Some additional information:
filip@cacko:~$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu jaunty (development branch)
Release:	9.04
Codename:	jaunty
filip@cacko:~$ uname -a
Linux cacko 2.6.28-8-generic #28-Ubuntu SMP Thu Mar 5 21:49:36 UTC 2009 i686 GNU/Linux
filip@cacko:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
filip@cacko:~$ 


I have upgraded to jaunty because of a new xorg intel driver which does acceleration on a rotated display (my VGA monitor).
Comment 1 Gordon Jin 2009-03-06 19:55:57 UTC
Please attach Xorg.0.log with ModeDebug enabled, according to http://intellinuxgraphics.org/how_to_report_bug.html.

This looks like bug#20230.
Comment 2 Tefnet 2009-03-07 01:34:48 UTC
Created attachment 23622 [details]
xserver log file with a VGA display connected.
Comment 3 Tefnet 2009-03-07 01:56:58 UTC
Created attachment 23623 [details]
xserver log file with a VGA display connected and ModeDebug on.
Comment 4 Tefnet 2009-03-07 02:14:23 UTC
My lid status is correct:

filip@cacko:~$ head /proc/acpi/button/lid/LID/*
==> /proc/acpi/button/lid/LID/info <==
type:                    Lid Switch

==> /proc/acpi/button/lid/LID/state <==
state:      open
filip@cacko:~$ 
Comment 5 Michael Fu 2009-03-08 21:39:08 UTC
pls attach your vbios rom via:

# cd /sys/devices/pci0000\:00/0000\:00\:02.0/
# echo 1 > rom
# cat rom > /tmp/rom.bin
# echo 0 > rom

then, attach the rom.bin. 

In the mean time, could you check on Toshiba website to see if there is a bios upgrade for this platform?
Comment 6 Tefnet 2009-03-09 02:24:30 UTC
Bios update fixed this. Thanks for the tip :).
I will attach two rom dumps (before update and after update).

Will a workaround be made for old bioses or will users be forced to perform bios update?
I am comfortable with this, but don't know about others...
Comment 7 Tefnet 2009-03-09 02:26:06 UTC
Created attachment 23679 [details]
Video BIOS before update - version 1.0.0
Comment 8 Tefnet 2009-03-09 02:26:53 UTC
Created attachment 23682 [details]
Video BIOS after update - version 1.2.0
Comment 9 Michael Fu 2009-03-11 04:41:29 UTC
(In reply to comment #6)
> Bios update fixed this. Thanks for the tip :).
> I will attach two rom dumps (before update and after update).
> 
> Will a workaround be made for old bioses or will users be forced to perform
> bios update?
> I am comfortable with this, but don't know about others...
> 

no. it's lucky for you to be able to find a bios upgrade..but this is really a fw problem...by deciphering the -before and -after confirms this. there is a tool called bios-reader under our driver source dir, if you are interested, you can try to compile and run that tool with the rom bin as argument


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.